## oops 0.1.0

=== DESCRIPTION ===
Package: oops
Type: Package
Title: S3 Style Object Oriented Programming
Version: 0.1.0
Author: Christopher Mann <cmann3@unl.edu>
Maintainer: Christopher Mann <cmann3@unl.edu>
Description: Create simple, hassle-free classes with reference semantics
    similar to 'RefClass' or 'R6' but relying on S3 methods. "oops" class 
    instances tend to be lighter weight and faster to create. Creating a 
    class is as easy creating a list, while generating an instance is a 
    simple function call. Support for inheritance and fixed field classes.
License: MIT + file LICENSE
Imports: utils, pryr
Suggests: knitr, rmarkdown
Encoding: UTF-8
RoxygenNote: 7.1.1
LazyData: true
Depends: R (>= 3.5)
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2021-12-21 22:00:09 UTC; chris
Repository: CRAN
Date/Publication: 2021-12-22 19:30:07 UTC

## oops 0.0.10

=== debian/changelog ===
oops (0.0.10-0ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:49:09 +0000

oops (0.0.10-0ubuntu1) precise; urgency=low

  * Initial release (LP: #922933)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 31 Jan 2012 07:54:55 -0500

=== debian/control ===
Source: oops
Section: python
Priority: optional
Maintainer: Andres Rodriguez <andreserl@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python (>= 2.6.6-3)
Standards-Version: 3.9.2
X-Python-Versions: >= 2.6
Homepage: http://pypi.python.org/pypi/oops

Package: python-oops
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-iso8601, python-tz
Description: Serialization, deserialization and allocation of OOPS reports
 The oops project provides an in-memory model and basic serialisation,
 deserialisation and allocation of OOPS reports. An OOPS report is a report
 about something going wrong in a piece of software... thus, an 'oops' :)
 .
 This core package is rarely used directly: most programs or services that want
 to generate OOPS reports will do so via a framework specific adapter (e.g.
 python-oops_wsgi).

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/oops/oops-([\d\.]*)\.tar\.gz

## oops 0.0.14

=== debian/changelog ===
oops (0.0.14-0ubuntu3) groovy; urgency=medium

  * Drop Python 2 support (LP: #1887828)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 16 Jul 2020 17:22:35 +0100

oops (0.0.14-0ubuntu2) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:38:34 +0000

oops (0.0.14-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Provide python3-oops package.
  * Modernize packaing using pybuild.
  * Add basic autopkgtest via autopkgtest-pkg-python.
  * Bump Standards-Version to 4.2.1.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 09 Dec 2018 16:44:25 -0500

=== debian/control ===
Source: oops
Section: python
Priority: optional
Maintainer: Andres Rodriguez <andreserl@ubuntu.com>
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-six,
               python3-tz
Standards-Version: 4.2.1
Homepage: https://launchpad.net/python-oops
Testsuite: autopkgtest-pkg-python

Package: python3-oops
Architecture: all
Depends: python3-six, python3-tz, ${misc:Depends}, ${python3:Depends}
Description: Serialization, deserialization and allocation of OOPS reports (Python 3)
 The oops project provides an in-memory model and basic serialisation,
 deserialisation and allocation of OOPS reports. An OOPS report is a report
 about something going wrong in a piece of software... thus, an 'oops' :)
 .
 This core package is rarely used directly: most programs or services that want
 to generate OOPS reports will do so via a framework specific adapter (e.g.
 python-oops_wsgi).
 .
 This package installs the library for PYthon 3.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=oops

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://pypi.debian.net/oops/oops-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## oops 0.2.0

=== DESCRIPTION ===
Package: oops
Type: Package
Title: S3 Style Object Oriented Programming
Version: 0.2.0
Author: Christopher Mann <cmann3@unl.edu>
Maintainer: Christopher Mann <cmann3@unl.edu>
Description: Create simple, hassle-free classes with reference semantics
    similar to 'RefClass' or 'R6' but relying on S3 methods. "oops" class 
    instances tend to be lighter weight and faster to create. Creating a 
    class is as easy creating a list, while generating an instance is a 
    simple function call. Support for inheritance and fixed field classes.
License: MIT + file LICENSE
Imports: utils
Suggests: knitr, rmarkdown
Encoding: UTF-8
RoxygenNote: 7.1.1
LazyData: true
Depends: R (>= 3.5)
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2022-03-02 22:43:35 UTC; chris
Repository: CRAN
Date/Publication: 2022-03-02 22:50:02 UTC

## oops 1.5.19.cvs.20010818-0.1

=== debian/changelog ===
oops (1.5.19.cvs.20010818-0.1) unstable; urgency=low

  * NMU.
  * configure.in: AC_PREREQ(2.50) and remove non-existent -G option to ld.
    Use the shared pcre libraries instead of static, since pcre symbols
    are packed into dynamically loaded modules and therefore must be PIC.
  * Run autoconf to generate new configure script.
  * src/modules/Makefile.in: Add -DPIC -fPIC to CFLAGS.

 -- Eric Gillespie <epg@debian.org>  Mon,  5 Nov 2001 14:49:43 -0500

oops (1.5.19.cvs.20010818) unstable; urgency=low

  * /etc/logrotate.d/oops `create 640 proxy proxy' to eliminate
    log permission problems
  * config file in doc/examples dir (closes: #97920)
    debian/oops.examples
  * config.{guess,sub} was so old and unportable to hppa
    updated from autotools-dev (closes: #105042)

 -- Tamas SZERB <toma@rulez.org>  Sat, 18 Aug 2001 17:26:19 +0200

oops (1.5.19.cvs.20010702-1) unstable; urgency=low

  * config file in doc/examples dir (closes: #97920)
  * in init.d script
    - elimited the -d from ARG (from now OOPS) prevent the
      automatic restart loop running with RUNNING_TYPE=run
    - added to RUN the --robust option for reliability reasons

 -- Tamas SZERB <toma@rulez.org>  Wed, 18 Jul 2001 14:21:52 +0200

oops (1.5.18.cvs.20010515-1) unstable; urgency=low

  * acces_log now htmlize path
  * accel.c: host from absolute uri have precedence over Host:
  * ssl works with parent
  * many bugfixes

 -- Tamas SZERB <toma@rulez.org>  Tue, 15 May 2001 09:22:04 +0200

oops (1.5.15.cvs.20010406-1) unstable; urgency=low

  * libpcre3/2/1 (potato) backward compatibility
  * changelog duplication fix (closes: #92252), no lintian warning
  * many people asked me to use the standard http_port (now: 3128)
    and icp_port (now: 3130) in oops.cfg so it is recommended.

 -- Tamas SZERB <toma@rulez.org>  Fri,  6 Apr 2001 11:47:49 +0200

oops (1.5.15.cvs.20010328-1) unstable; urgency=low

  * upstream and debian changelog fix
  * The adfilter /usr/share/doc/oops/examples/adfilter .
    to not watch advertisements and counters
  * README.Debian mentions a security fix if you are using old oops.cfg

 -- Tamas SZERB <toma@rulez.org>  Wed, 28 Mar 2001 11:16:21 +0200

oops (1.5.15.cvs.20010327) unstable; urgency=low

  * upgrading from the previous version the pid overwriting is fixed

 -- Tamas SZERB <toma@rulez.org>  Tue, 27 Mar 2001 14:10:09 +0200

oops (1.5.15.cvs.20010326) unstable; urgency=low

  * --with-regexp=pcre for Perl Compatible Regular Expression library
  * pam support auth. module
  * hop by hop proxy https authentication (closes: #82416)
  * oops at starting doesn't run as root (closes: #88622)
  * internal:nospam1x1 gif now is not a 3x3 gif [thanks RASZi ;)] (closes: #88200)
  * fd's what needed is closed (closes: #83589)
  * redir and fastredir can use different configs
  * not yet finished cisco wccp2 module for transparent proxying
  * and bugfixes

 -- Tamas SZERB <toma@rulez.org>  Tue, 27 Feb 2001 11:58:05 +0100

oops (1.5.7-3) unstable; urgency=low

  * bison, flex build dependency (closes: #84220)

 -- Tamas SZERB <toma@rulez.org>  Sun, 25 Feb 2001 00:47:01 +0100

oops (1.5.7-2) unstable; urgency=low

  * german templates file for debconf (closes: #83930)
  * swedish translation of oops's debconf template file (closes: #83678)
  * hungarian debconf template
  * optional 'run' respawner ability in init.d script (see: RUNNING_TYPE)

 -- Tamas SZERB <toma@rulez.org>  Mon, 29 Jan 2001 15:03:13 +0100

oops (1.5.7-1) unstable; urgency=low

  * conffiles missed (closes: #83620)

 -- Tamas SZERB <toma@rulez.org>  Fri, 26 Jan 2001 14:27:42 +0100

oops (1.5.7) unstable; urgency=low

  * logrotate.d conffiles cleanup (for the sake of grin)
  * new init.d script without silly oopsctl verobosity at start
  * new upstream source
  * fixed Age: header bug

 -- Tamas SZERB <toma@rulez.org>  Fri, 26 Jan 2001 14:26:22 +0100

oops (1.5.6-1) unstable; urgency=low

  * debhelper question to format the storages

 -- Tamas SZERB <toma@rulez.org>  Tue, 23 Jan 2001 01:03:35 +0100

oops (1.5.6) unstable; urgency=low

  * username acl
  * \n removed from some acl's when read from file
    local_networls was not handled properly if ICP is used
    no log messages 'icp so = -1' if icp_port  0

 -- Tamas SZERB <toma@rulez.org>  Tue,  9 Jan 2001 20:21:37 +0100

oops (1.5.5-3) unstable; urgency=low

  * cfg.pl permission in the source debian package
  * oops.postinst backport to potato (read -s -n doesn't work on it)
  * always_check_freshness twice in the config file

 -- Tamas SZERB <toma@rulez.org>  Fri,  5 Jan 2001 13:15:52 +0100

oops (1.5.5-2) unstable; urgency=low

  * fixed oops' files permissions in postinst script (closes: #80982)

 -- Tamas SZERB <toma@rulez.org>  Thu,  4 Jan 2001 22:14:02 +0100

oops (1.5.5) unstable; urgency=low

  * More sprintf, strncpy, ... cleanups compared the the previous versions

 -- Tamas SZERB <toma@rulez.org>  Wed, 20 Dec 2000 13:46:48 +0100

oops (1.5.2) unstable; urgency=low

  * improved security
  * pixmap for redir (closes: #78077)

 -- Tamas SZERB <toma@rulez.org>  Wed, 20 Dec 2000 13:45:55 +0100

oops (1.5.1) unstable; urgency=low

  * fixed buffer overflow vulnerability (details in bugtraq ID 2099)
  * redir can handle 1x1 pixmap to filter out the banners
  * fail-safe support for non-icp peers
  * always_check_freshness on object acl basis acl type "content_type"
  * gzip/gunzip capable client handling
  * fixed performance bug in storage.c
    IMPORTANT: Changed magic in storages!
  * passwd_pgsql, passwd_mysql modules
  * per_ip_bw and per_ip_conn limits 
    - bandwidth and connections number for any host
  * ask user to reformat storages

 -- Tamas SZERB <toma@rulez.org>  Wed, 13 Dec 2000 13:43:46 +0100

oops (1.4.22-3) unstable; urgency=low

  * oops upgrade doesn't overwrite any config file (see conffiles)
  * oops logrotate bug fixed

 -- Tamas SZERB <toma@rulez.org>  Wed, 13 Dec 2000 13:37:04 +0100

oops (1.4.22-2) unstable; urgency=low



## oops 1.5.19.cvs.20010818-0.1woody1

=== Makefile ===
VER=1.5.19

all:
	cd src; $(MAKE)
#	cd src/modules; $(MAKE)
clean:
	rm -rf autom4te.cache
	cd src; $(MAKE) clean
	cd src/modules; $(MAKE) clean
	cd doc; rm -f oops.8 oopsctl.8

distclean:
	rm -f config.cache config.status config.log *~;
	rm -rf autom4te.cache
	cd src; rm -f Makefile *o lex.yy.c  y.tab.[ch] *~ *.ln version.h config.h oops.cfg oops core
	cd src; rm -f getopt.* getopt1.c gnu_regex.* rwlock.* strtok_r.c
	cd src/modules; rm -Rf SunWS_cache Templates.DB Makefile *o oopsctl *~ *.ln
	cd doc; rm -f oops.8 oopsctl.8

tar:
	$(MAKE) distclean
	autoconf
	autoheader
	rm -Rf ../oops-${VER}.tar.gz /tmp/oops-${VER};
	mkdir /tmp/oops-${VER};
	gtar c --exclude=CVS --exclude=*.#* . | (cd /tmp/oops-${VER}; gtar x);
	( cd /tmp; tar cf - oops-${VER} )| gzip -9 > ../oops-${VER}.tar.gz
	rm -Rf /tmp/oops-${VER}

install:
	cd src; $(MAKE) install

=== debian/changelog ===
oops (1.5.19.cvs.20010818-0.1woody1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied patch by RST/GHC to fix format string vulnerability
    [src/modules/passwd_sql.c, CAN-2005-1121]

 -- Martin Schulze <joey@infodrom.org>  Fri,  6 May 2005 07:09:44 +0200

=== debian/control ===
Source: oops
Section: web
Priority: optional
Maintainer: Tamas SZERB <toma@rulez.org>
Build-Depends: perl-base, debhelper (>= 2.0.40), libdb2-dev (>= 2:2.7.7-2.1), flex, bison, libpcre3-dev | libpcre2-dev | libpcre1-dev, wget, autotools-dev, diff
Standards-Version: 3.1.1

Package: oops
Architecture: any
Depends: libdb2 (>= 2:2.7.7-2.1), debconf, ${shlibs:Depends}
Suggests: run
Description: HTTP caching proxy server written for performance
 OOPS is lightweight but powerful proxy cache. It's main features are:
  * HTTP/1.1 (without persistent connections yet) and FTP
  * Fast start. It is ready to serve requests immediately after start.
  * On-disk storages are checked in background, while serving requests
    directly from network
  * Clean reconfiguration on SIGHUP - no broken sessions, new settings
    applied to new connections
  * Easy-to-read/understand config file and acl's
  * Bandwidth control
  * Modular structure. Several module types exist: logging, access, output,
    error reporting, URL filtering, ...
  * Objects are stored in large files: no file per object scheme.
  * These large files can be raw devices (like /dev/hda)

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# modified by Tamas SZERB <toma@rulez.org>

WAY=`pwd`/debian/oops

#see the debian/dirs what needs to apply these:
#$(WAY)/etc/oops 
DIRS=$(WAY)/var/log/oops \
	$(WAY)/var/spool/oops \
	$(WAY)/var/run/oops

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

build: build-stamp
build-stamp:
	dh_testdir

	diff /usr/share/misc/config.guess config.guess >/dev/null \
		|| \
		mv config.guess config.guess.old;\
		cp /usr/share/misc/config.guess config.guess;\
		echo "Newer config.guess will be used."

	diff /usr/share/misc/config.sub config.sub >/dev/null \
		|| \
		mv config.sub config.sub.old;\
		cp /usr/share/misc/config.sub config.sub;\
		echo "Newer config.sub will be used."

	./configure \
		--sbindir=/usr/sbin \
		--sysconfdir=/etc/oops \
		--localstatedir=/var/run/oops \
		--libdir=/usr/lib/oops \
		--enable-large-files \
		--with-regexp=pcre \
		--enable-oops-user=proxy \
		--prefix=/usr/lib

	# Add here commands to compile the package.
	$(MAKE) \
		OOPSPATH=/var/spool/oops \
		OOPS_SBINDIR=/usr/sbin \
		OOPS_SYSCONFDIR=/etc/oops \
		OOPS_LOCALSTATEDIR=/var/run/oops \
		OOPS_LIBDIR=/usr/lib/oops

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean
	rm -f `pwd`/debian/oops.conffiles
	if [ -f config.guess.old ]; then \
		mv config.guess.old config.guess;\
	fi
	if [ -f config.sub.old ]; then \
		mv config.sub.old config.sub;\
	fi

install: install-stamp
install-stamp: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install \
		OOPSPATH=$(WAY)/var/spool/oops \
		OOPS_SBINDIR=$(WAY)/usr/sbin \
		OOPS_SYSCONFDIR=$(WAY)/etc/oops \
		OOPS_LOCALSTATEDIR=$(WAY)/var/run/oops \
		OOPS_LIBDIR=$(WAY)/usr/lib/oops

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs

	dh_installexamples
	wget -T 5 -t 3 http://nrg.martos.bme.hu/release/adfilter \
		-O debian/adfilter && dh_installexamples debian/adfilter \
		|| true

	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit -- defaults 30
#	dh_installcron

	rm -Rf $(WAY)/var/spool/oops/logs
	rm -Rf $(WAY)/usr/lib/oops/modules

	chmod +x `pwd`/debian/cfg.pl
	`pwd`/debian/cfg.pl > $(WAY)/etc/oops/oops.cfg

	#potato?
	if [ -x /usr/bin/dh_installlogrotate ]; then \
		dh_installlogrotate; \
	else \
		mkdir -p $(WAY)/etc/logrotate.d/; \
		cp `pwd`/debian/oops.logrotate $(WAY)/etc/logrotate.d/oops; \
	fi

	dh_installpam
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
#debug:
	dh_strip
#:debug
	dh_compress

	dh_fixperms
	#see the debian/dirs and DIRS what needs to apply these:
	find $(DIRS) -type d -exec chown proxy:proxy {} \;
	find $(DIRS) -type d -exec chmod 750 {} \;
	find $(DIRS) -type f -exec chown proxy:proxy {} \;
	find $(DIRS) -type f -exec chmod 640 {} \;

#	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	#Toma: create oops.conffiles automagically:
	find $(WAY)/etc -type f|sed s:$(WAY):: >`pwd`/debian/oops.conffiles
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## oops 1.5.23.cvs

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VER=1.5.19
+VER=1.5.23
 
 all:
 	cd src; $(MAKE)
@@ -13,7 +13,7 @@
 	rm -f config.cache config.status config.log *~;
 	rm -rf autom4te.cache
 	cd src; rm -f Makefile *o lex.yy.c  y.tab.[ch] *~ *.ln version.h config.h oops.cfg oops core
-	cd src; rm -f getopt.* getopt1.c gnu_regex.* rwlock.* strtok_r.c
+	cd src; rm -f getopt.* getopt1.c gnu_regex.* rwlock.* snprintf.c strtok_r.c
 	cd src/modules; rm -Rf SunWS_cache Templates.DB Makefile *o oopsctl *~ *.ln
 	cd doc; rm -f oops.8 oopsctl.8
 
@@ -21,6 +21,7 @@
 	$(MAKE) distclean
 	autoconf
 	autoheader
+	rm -rf autom4te.cache
 	rm -Rf ../oops-${VER}.tar.gz /tmp/oops-${VER};
 	mkdir /tmp/oops-${VER};
 	gtar c --exclude=CVS --exclude=*.#* . | (cd /tmp/oops-${VER}; gtar x);
